#include "DS3Resources.h"

#define	SystemSevenOrLater	1

#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"

#ifndef	qCREATOR
#define	qCREATOR	'PSRu'
#endif


resource 'MENU' ( kAppleNum, "Apple" ) {
	kAppleNum, textMenuProc, 0x7FFFFFFD, enabled,
	apple, {
		"About PostScript Runner",	noIcon, noKey, noMark, plain;
		"-",			noIcon, noKey, noMark, plain;
	}
};

resource 'MENU' ( kFileNum, "File" ) {
	kFileNum, textMenuProc, allEnabled, enabled,
	"File", {
		"Open",		noIcon, "O", noMark, plain;
		"Quit",			noIcon, "Q", noMark, plain;
	}
};

resource 'MENU' ( kEditNum, "Edit" ) {
	kEditNum, textMenuProc, 0x7FFFFFFD, disabled,
	"Edit", {
		"Undo",		noIcon, "Z", noMark, plain,
		"-",		noIcon, noKey, noMark, plain,
		"Cut",		noIcon, "X", noMark, plain,
		"Copy",		noIcon, "C", noMark, plain,
		"Paste",	noIcon, "V", noMark, plain,
		"Clear",	noIcon, noKey, noMark, plain
	}
};

resource 'MENU' ( kToolsNum, "Testing" ) {
	kToolsNum, textMenuProc, allEnabled, enabled,
	"Testing", {
		"Create PDF",		noIcon, noKey, noMark, plain,
		"Read PDF",			noIcon, noKey, noMark, plain,
	}
};


resource 'hmnu' ( kAppleNum, purgeable ) {
	2, 0, 0, 0,
	HMSkipItem {}, {
		HMSkipItem {},
		HMStringResItem {
			128,   1,
			128,   1, 
			  0,   0,
			  0,   0
		}
	}
};

resource 'hmnu' ( kFileNum, purgeable ) {
	2, 0, 0, 0,
	HMSkipItem {}, {
		HMStringResItem {
			129,   1,
			129,   2,
			129,   3,
			129,   4
		},
		HMStringResItem {
			129,   5,
			129,   6,
			  0,   0,
			  0,   0
		},
		HMStringResItem {
			129,   7,
			129,   8,
			  0,   0,
			  0,   0
		}
	}
};



resource 'ALRT' (128, purgeable) {
	{  75,  79, 198, 354 },
	128, {
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'DITL' ( 128, purgeable) {{
	{  97, 198, 117, 270 }, Button { enabled, "OK" };
	{   8,   8,  87, 271 }, StaticText { disabled,
			"Tests the spead and stability of different PDF library" };
	{   0,   0,   0,   0 }, HelpItem { disabled, HMScanhdlg { 1 }};
}};


resource 'hdlg' ( 128, purgeable ) {
	2, 0, 4, 0, 3,
	HMSkipItem {}, {
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			128,   2,
			  0,   0,
			  0,   0,
			  0,   0,
		},
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			  0,   0,
			128,   3,
			  0,   0,
			  0,   0,
		}
	}
};


resource 'ALRT' (200, purgeable) {
	{ 100, 120, 224, 452 },
	200, {
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	},
	alertPositionMainScreen
};


resource 'DITL' (200, purgeable) {{
	{  92, 246, 112, 318 }, Button { enabled, "OK" };
	{  11,  73,  75, 318 }, StaticText { disabled, "^0" };
	{  11,  11,  43,  43 }, Icon { disabled, 0 };
	{  96,  11, 112, 100 }, StaticText { disabled, "Error #^1" };
}};



resource 'hdlg' (200, purgeable) {
	2, 0, 4, 0, 3,
	HMSkipItem {}, {
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			200,   1,
			  0,   0,
			  0,   0,
			  0,   0,
		},
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			  0,   0,
			200,   2,
			  0,   0,
			  0,   0,
		},
		HMSkipItem {},
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			  0,   0,
			200,   3,
			  0,   0,
			  0,   0,
		}
	}
};


resource 'STR#' ( 128, purgeable ) {{
	"Everything you always wanted to know about libTester, but were afraid to ask",
	"Click here to dismiss this informative dialog.",
	"This text describes the product, its author, and why!"
}};


resource 'STR#' ( 129, purgeable ) {{
	"Use this menu to select a file and to exit the program.",
	"Use this menu to select a file and to exit the program. "
		"This menu is unavailable now.",
	"Use this menu to select a file and to exit the program. "
		"This menu is unavailable until you respond to the alert box or dialog box.",
	"This command is unavailable until you respond to the alert box or dialog box.",
	"Use this command to select a file.",
	"Use this command to select a file. Not available for some strange reason.",
	"Use this command to exit the program.",
	"Use this command to exit the program. Not available for some strange reason."
}};


resource 'STR#' ( 100, purgeable ) {{
	"This application requires Apple events.  Please upgrade to System 7.0 or later to use.",
	"An error occured initializing the AppleEvent Handlers.",
	"An error occured initializing the program.",
	"An error occured during Apple event processing."
}};


resource 'STR#' ( 200, purgeable ) {{
	"Click here to dismiss this informative dialog.",
	"This text describes the error that occured.",
	"This error ID gives more specific details of the error."
}};


resource 'hfdr' ( -5696 ) {
	2, 0, 0, 0, {
		HMStringItem { "" }
	}
};


resource 'vers' ( 1 ) {
	0x01, 0x00, beta, 0x01,
	verUS, "1.0b1",
	"PSRunner 1.0b1"
};


resource 'BNDL' (128, "Bundle") {
	qCREATOR, 0, {
		'FREF', {   0, 128,  1, 129 };
		'ICN#', {   0, 128,  1,   0 };
	}
};


resource 'FREF' (128) { 'APPL', 0, "" };
resource 'FREF' (129) {	'****', 1, "" };	/* We can have any file dropped on us! */
resource 'FREF' (130) {	'fold', 2, "" };	/* Folders too! */
resource 'FREF' (131) {	'disk', 3, "" };	/* Disks are good */

type qCREATOR as 'STR ';
resource qCREATOR (0) { "" };

type 'Conf' {
	hex longint;	/* mmCount */
	hex longint;	/* thread pool size */
	};

resource 'Conf' ( 128, "Application Params" ) {	4, 0 };
